@import './../../styles/guide.scss';

.wrapper{
	position: relative;
	width: 100vw;
	height: calc(100vh - 36px);
	@media(min-width: 1024px){
		width: 100%;
	}
}
.container{
	margin: 0 auto;
	width: 80%;
	padding-top: 0.5%;
	font-size: 1rem;
	position: relative;
	z-index:2000;
	@media(min-width: 600px){
		font-size: 1.2rem;
	}
}
.manner{
	&__container{
		width: 53%;
		height: calc(100vh - 36px);
		float:right;
		font-size: 0.89em;
		position: relative;
		padding: 0 2%;
		z-index: 50;
		&:before{
			content:'';
			height: 100%;
			display: inline-block;
			vertical-align: middle;
		}
	}
	&__contentbox{
		vertical-align: middle;
		display: inline-block;
		>ul{
			padding-left:5%;
		}
		&--box{
			// width: 90%;
			margin: 0 auto;
			padding: 2% 6%;
		}
	}
	&__footer{
		padding-top: 10%;
		text-align: center;
	}
	@media(min-width: 600px) and (orientation: landscape){
		&__container{
			font-size: 1em;
		}
		&__footer{
			padding-top: 8%;
		}
	}
}
.charbg{
	// background: no-repeat bottom left url('./../../static/images/guide/char_alice.png');
	background: no-repeat bottom left url('https://cdngarenanow-a.akamaihd.net/webth/rov/gameguide/guide/char_alice.png');
	width: 100%;
    height: 90vh;
	position: absolute;
	left:0;
	bottom:0;
	background-size: auto 100%;
	z-index:30;
	@media(min-width: 1024px){
		height: 65vh;
	}
	@media(min-width: 1280px){
		height:80vh;
	}
}
.charbg_murad{
	// background: no-repeat bottom right url('./../../static/images/guide/char_murad.png');
	background: no-repeat bottom right url('https://cdngarenanow-a.akamaihd.net/webth/rov/gameguide/guide/char_murad.png');
	width: 100%;
    height: 90vh;
	position: absolute;
	// top:50%;
	top:0;
	right:0;
	// transform: translate(0,-50%);
	background-size: auto 100%;
	z-index:30;
	@media(width: 1024px){
		background-size: auto;
	}
}
.beginner{
	&__title{
		font-size:1.2em;
		color: #963940;
	}
	&__container{
		width: 70%;
		height: calc(100vh - 36px);
		font-size: 0.89em;
		position: relative;
		z-index: 50;
		// margin: 0 auto;
		text-align: center;
		&:before{
			content:'';
			height: 100%;
			display: inline-block;
			vertical-align: middle;
		}
	}
	&__contentbox{
		vertical-align: middle;
		display: inline-block;
		text-align: left;
		>ul{
			// padding-left:5%;
			padding-left: 0%;
		}
		&--box{
			// width: 90%;
			margin: 0 auto;
			padding: 2% 6%;
		}
	}
	&__footer{
		padding-top: 10%;
		text-align: center;
	}
	@media(min-width: 600px) and (orientation: landscape){
		&__container{
			font-size: 1em;
		}
		&__footer{
			padding-top: 8%;
		}
	}
}

.detail{
	overflow:hidden;
	&__container{
		// width: 90%;
		// margin:0 auto;
		// min-height:80vh;
		width: 90%;
	    height: 90%;
	    max-width: calc(100vh / 9* 16 * 0.9);
	    max-height: calc(100vw / 16 * 9 * 0.9);
	    margin: 0 auto;
	}
	&__content{
		// padding: 4% 0 2%;
		// font-size: 1.1rem;
		padding: 2% 0 0%;
	    font-size: 1.1rem;
	    margin: 0 auto 2%;
	}
	&__imgwrap{
		text-align: center;
	    margin: 0 auto;
	    display: flex;
	    justify-content: space-between;
	    align-items: flex-start;
		&--each{
			// display: inline-block;
			// margin: 0 2%;
			// vertical-align:middle;
			// height: 50vh;
			// height: 65vh;
			display: flex;
			justify-content: center;
			align-items: center;
			flex-flow: column;
		}
		&--imgbox{
			max-width: 20vw;
			margin:0 auto;
			>img{
				max-width: 100%;
			}
		}
		&--text{
			font-size: 1rem;
			text-align: center;
			margin: 0 auto;
			max-width:100px;
			line-height: 1em;
		}
	}
}
.arrow{
	max-width: 20vw;
	// vertical-align:middle;
	// margin: 0 2%;
	height: 100%;
	>img{
		max-width: 100%;
		position: absolute;
		top: 50%;
		transform: translate3d(0,-50%,0);
	}
	
}
.text{
	&--red{
		color: #963940;
	}
	&--blue{
		// color: #31a2ee;
		color: #84d7e9;
	}
	&--purple{
		color:#c972dd;
	}
}


.detail2{
	&__contentwrap{
		margin: 0 auto;
		padding: 2% 0 0;
		position: relative;
	}
	&__content{
		padding: 4% 0 0;
		font-size: 1.1rem;
		&--imgbox{
			max-width: 30vw;
			position: relative;
			>img{
				max-width: 100%;
				max-height: 100%;
			}
		}
	}
	&__arrow{
		position: absolute;
		>img{
			max-width: 23vw;
		}
		&--top{
			top: 10%;
    		left: 54%;
		}
		&--bottom{
			bottom: 18%;
    		left: 50%;
			>img{
				max-width: 35vw;
			}
		}
	}
	&__textbox{
		background: rgba(0,0,0,0.7);
		color:#ffffff;
		border-radius: 10px;
		padding: 1%;
		font-size:1.1rem;
		text-align: justify;
		&--top{
			position: absolute;
		    top: -8%;
		    width: 56%;
		    right: -2%;
		}
		&--bottom{
			position: absolute;
		    bottom: 6%;
		    width: 42%;
		    right: 0;
		}
	}
	&__footer{
		font-size: 1rem;
	}
}
.detail3{
	&__contentwrap{
		position: relative;
		margin: 2% auto 4%;
	}
	&__imgbox{
		max-width: 50vh;
		position: relative;
		>img{
			max-width: 100%;			
		}
	}
	&__arrow{
		position: absolute;
		>img{
			max-width: 35vw;
		}
		&--top{
			top: 4%;
    		left: 11%;
		}
		&--center{
			top: 36%;
    		left: 12%;
    		>img{
    			max-width: 45vw;
    		}
		}
		&--bot{
			bottom: 10%;
    		left: 15%;
			>img{
				max-width: 40vw;
			}
		}
	}
	&__textwrap{
		position: absolute;
		right:5%;
		top:50%;
		transform: translate3d(0,-50%,0);
	}
	&__textbox{
		// width: 46%;
		// position: absolute;
		margin: 1% auto;
		font-size:1.1rem;
		// &--1{
		// 	// top:-5%;
		// 	top:-18%;
		// 	right: 0;
		// }
		// &--2{
		// 	width: 40%;
		// 	top:28%;
		// 	right: -3%;		
		// }
		// &--3{
		// 	bottom:-10%;
		// 	right:-2%;
		// 	width: 40%;
		// 	@media(max-width: 568px){
		// 		bottom: -20%;
		// 	}
		// 	@media(min-width: 700px) and (max-width: 900px){
		// 		bottom: 10%;
		// 	}
		// }
	}
}
@media(max-width: 650px){
	.detail{
		&__content{
			font-size: 1rem;
		}
		&__imgwrap{
			&--each{
				margin: 0 1%;
				white-space: nowrap;
			}
			&--text{
				white-space: normal;
			}
		}
	}
	.detail2{
		&__content{
			font-size: 1rem;
			&--imgbox{
				max-width: 28vw;
			}
		}
		&__textbox{
			font-size: 0.95rem;
		}
		&__footer{
			font-size: 0.95rem;
		}
	}
	.arrow{
		display: inline-block;
		max-width: 2vw;
		margin: 0 1%; 
	}

}
@media(min-width: 800px){
	.detail2{
		&__content{
			&--imgbox{
				max-width: 24vw;
			}
		}
		&__arrow{
			&--top{
				top: 6%;
	    		left: 54%;
			}
			&--bottom{
				bottom: 7%;
	    		left: 50%;
			}
		}
	}
	.detail3{
		&__imgbox{
			max-width: 55vh;
		}
	}
}
@media(min-width: 1024px){
	.detail{
		&__content{
			font-size: 1.5rem;
		}
		&__imgwrap{
			&--text{
				font-size: 1.5rem;
			}
		}
	}
	.detail2{
		&__arrow{
			position: absolute;
			&--top{
				top: 8%;
	    		left: 57%;
			}
			&--bottom{
				bottom: 14%;
	    		left: 55%;
				>img{
					max-width: 35vw;
				}
			}
		}
		&__content{
			font-size: 1.5rem;
			&--imgbox{
				max-width: 28vw;
			}
		}
		&__textbox{
			border-radius: 10px;
			padding: 1%;
			font-size:1.5rem;
			&--top{
				position: absolute;
			    top: 8%;
			    width: 56%;
			    right: -2%;
			}
			&--bottom{
			    bottom: 0;
			    width: 40%;
			    right: 2%;
			}
		}
		&__footer{
			font-size: 1.5rem;
		}
	}
	.detail3{
		&__imgbox{
			max-width: 55vh;
		}
		&__textbox{
			font-size:1.5rem;
			&--1{
			top:-5%;
			right: 0;
			}
			&--2{
				width: 40%;
				top:28%;
				right: -3%;		
			}
			&--3{
				bottom:15%;
				right:5%;
				width: 40%;
			}
		}
		&__arrow{
			&--top{
				top: 4%;
	    		left: 11%;
			}
			&--center{
				top: 36%;
	    		left: 12%;
			}
			&--bot{
				bottom: 21%;
	    		left: 15%;
			}
		}
	}
}
@media(min-width: 1366px){
	.detail2{
		&__arrow{
			position: absolute;
			&--top{
				top: 8%;
	    		left: 40%;
			}
			&--bottom{
				bottom: 14%;
	    		left: 40%;
			}
		}
	}

}

